1.1
1.1
get /v1/nodepools/{nodepool_id}/nodes
Description
Get nodepool node list
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | nodepool_id required | Nodepool ID Example : bdfda539-bd2e-4a5c-9021-ec6d52d1ca79 | string | None |
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | None |
| query | node_name optional | Node Name Example : ske-aug-rhel-0805-1-84d799f767-8dr2p | any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | NodeListInNodepoolResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/nodepools/{nodepool_id}/nodes
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = ske 1.1"
Example HTTP response
Response 200
{
"count": 20,
"links": [
{
"href": "http://scp.samsungsdscloud.com/v1/notices",
"rel": "self"
}
],
"nodes": [
{
"account_id": "617b3d0e90c24a5fa1f65a3824861354",
"kubernetes_version": "v1.29.8",
"name": "ske-aug-rhel-0805-1-84d799f767-8dr2p",
"status": "RUNNING"
}
]
}